/*General web page styling*/

body{
    margin: auto;
    
   
}

main {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

h1{
    padding: 35px 30px;
    margin: 0;
}

p{ 
    padding: 8px 30px;
    margin: 0;
}

h2 {
    margin: 35px 30px;
}

header {
    background-color: lightblue;
}


footer {
    background-color: lightgrey;
    overflow: auto;
    padding: 15px;
}


/*Styling the form*/
#formHere {
    display: flex;
    flex-basis: 20%;
    flex-direction: column;
    align-items: flex-start;
}

fieldset {
    margin: 20px;
    padding: 20px;
    border: none;
}

input, label {
    width: 100%;
    margin: 5px;
    display: block;
}




input:invalid {
    background-color: red;
}

/*Styling the table*/

#tableHere {
    flex-basis: 80%;
    display: flex;
    flex-wrap: wrap;
}

table, td {
    flex-wrap: wrap;
    flex: 1;
    border: 1px solid black;
    order: 5;

  
}

table {
    border-collapse: collapse;
    flex-shrink: 3;
    padding: 20px;
    margin: 35px 30px;
}
    
